import { asWritingTask } from '../base-application/support/task-type-inference.js';
export default asWritingTask(function cleanupMongodbFilesTask({ application }) {
    if (this.isJhipsterVersionLessThan('3.10.0')) {
        this.removeFile(`${application.javaPackageSrcDir}config/CloudMongoDbConfiguration.java`);
    }
    if (this.isJhipsterVersionLessThan('7.7.1')) {
        this.removeFile(`${application.javaPackageTestDir}MongoDbTestContainerExtension.java`);
    }
});
